/* arrays.js

timeIndex is in the mark/timeIndex.js file

Values for sessionIndex are: session number, file name, pageMax, session title.  The file name and session title entries must be in parentheses, and the session number and pageMax must be integers.  Local file references must include directory references relative to the "movie.html" file. use "../" to back out a directory if necessary. 

The fourth entry in the first row must equal the total number of sessions.  

Remember that in Javascript, each array line must terminate with a comma EXCEPT the last one.  If this feature does not work, check to be sure you do not have a comma following the last entry. 

Please also note that for each new entry you make in the sessionIndex array, you MUST include a corresponding entry in the chapterList array, even if it is just a dummy one like the ones below.  If your test application hangs when loading after you have entered a new video in the sessionIndex array, this is probably why. */

var sessionIndex = new Array
(
   [0,"video/Session0.mp4",0,2],
   [1,"video/SampleSession1.mp4",2,"1: First Session Title Here"],
   [2,"video/SampleSession2.mp4",2,"2: Second Session Title Here"]
);

var chapterList = new Array();

/* Values for each chapterList sub array are: pageNum, chapter title.  First row entry is total number of named chapters in session.  chapterList[0] is a dummy entry to keep the numbering of the following lists more intuitive:  do not delete it.  Remember that in Javascript, each array line must terminate with a comma EXCEPT the last one.  If this feature does not work, check to be sure you do not have a comma following the last entry. */

chapterList[0] = new Array
(
[0]
);

chapterList[1] = new Array
(
[2],
[1,"ChapterTitle1"],
[2,"ChapterTitle2"]
);

chapterList[2] = new Array
(
[2],
[1,"ChapterTitle1"],
[2,"ChapterTitle2"]
);


