/*  js/junctions.js  Main JavaScript Functions

Lines beginning "if (window.win2)" are debugging lines:  to activate debugging, remove commenting slash+asterisk and asterisk+slash before and after the "win2" line directly below this line.  That will open the debugging window on load.  To end debugging, replace comment markers on this same line. */
  
/*	var win2 = window.open("","","height=400,width=400,top=40,left=900,screenX=900,screenY=40,scrollbars=1,scrollbars=yes")
*/

var sessionNum = 0;
var pageNum = 0;      
var newSession = 0;
var newPage = 0;
var oldSession = 0;
var oldPage = 0;
var sessionMax = 0;
var chapterMax = 0;
var pageMax = 0;
var playFlag = 0;
var pageTime = 0;
var nextPageTime = 0;
var vPlaying = false;
var secOld = 0;
var loaded = false;
var vLoaded = false;
var refFlag = false;
var callSession = 0;
var callPage = 0;
var listFlag = false;
var callList = "";
var textBoxDoc;
var i = 0;

function changeChapter(newPage)
{
	if (window.win2) win2.document.write("* changeChapter<br />");
	oldPage = pageNum;
	pageNum = parseInt(newPage);
	jumpPage();
}

function firstLoad()
{
	if (window.win2) win2.document.write("* firstLoad<br />");
	try 
		{
			textBoxDoc = document.getElementById('textBox').contentDocument;
			var state = textBoxDoc.readyState;
			if (window.win2) win2.document.write("state = " + state + "<br />");
			if (state=='complete') firstLoad2();
			else setTimeout ("firstLoad();",200);
		}
	catch (err) {setTimeout('firstLoad();',200)};
}

function firstLoad2()
{
	if (window.win2) win2.document.write("* firstLoad2<br />");

	var sessionStr = [];
	i = 0;
	sessionMax = sessionIndex[0][3];

	for (i = 1; i <= sessionMax; i++)
		{
			var sessionName = sessionIndex[i][3];
			var sessionOpt = sessionIndex[i][0];
			sessionStr[i] =  new Option(sessionName,sessionOpt);			
			document.controls.sessionSelect.options[i] = sessionStr[i];
		}

	var TsessionStr = "";
	for (i = 0; i <= sessionMax; i++)
		{
			TsessionStr = "Tsession" + i;
			textBoxDoc.getElementById(TsessionStr).style.display = "block";
		}

	textBoxDoc.getElementById("textLoad").style.display = "none";
	textBoxDoc.getElementById('0,0').style.display = "block";

	var tagTable = textBoxDoc.getElementsByTagName("td");
	if (tagTable != null) for (i = 0; i < tagTable.length; i++) tagTable[i].style.height = "400";

	document.controls.pageNo.value = "0,0";	
	document.controls.vTime.value = " "; 
	if (fullScreen) 
		{
			cBoxTop = document.getElementById('controlBox').style.top;
			cBoxTop = parseInt(cBoxTop);
			cBoxTop = cBoxTop - fsAdjust;
			cBoxTop = cBoxTop + 'px';
			document.getElementById('controlBox').style.top = cBoxTop;
			document.getElementById("fullScreenNotice").style.display = "block";
		}
	disableContr(); 

	loaded=true;

	if (window.win2) win2.document.write("Complete First Load <br />");
}

function parseChange(event)
{
	if (window.win2) win2.document.write("* parseChange<br />");
	toggleVideo(0);
	var thisKey = event.keyCode ? event.keyCode : event.which ? event.which : event.charCode;
	
	if (thisKey == 13) 
		{
			event.preventDefault(true)
			var indexstring = document.controls.pageNo.value;
			var len=indexstring.length;
			var inputSession = indexstring.substr(0,2);
			inputSession = parseInt(inputSession);
			if (inputSession < 10) var inputPage = [indexstring.substr(2,len)]
			else var inputPage = [indexstring.substr(3,len)];
			inputPage = parseInt(inputPage);

			document.controls.pageNo.blur();
			if ((inputSession >= 0) && (inputSession <= sessionMax))
				{
					pageMax = (sessionIndex[inputSession][2]);
					if ((inputPage >= 0) && (inputPage <= pageMax))
						{
							playFlag = 1;
							inputChange(inputSession,inputPage);			
						}
					else
						alert("Page number is too high or syntax is incorrect!  Try a lower page number.  Correct syntax is: S,PPP where 'S' (session) = 1 digit and 'PPP' (page) can be up to 3 digits'")
				}
			else
				alert('Session number must be between 1 and ' + sessionMax + '.  Correct syntax is: S,PPP where "S" (session) = 1 digit and "PPP" (page) can be up to 3 digits') 
		}
}

function inputChange(inputSession,inputPage)
{
	if (window.win2) win2.document.write("* inputChange1: inputSession = " + inputSession + "; inputPage = " + inputPage + " <br />");
	newSession = parseInt(inputSession);
	newPage = parseInt(inputPage);
	inputChange2();
}

function inputChange2()
{
	if (window.win2) win2.document.write("* inputChange2: newSession = " + newSession + "; newPage = " + newPage +  "; vLoaded: " + vLoaded + " <br />");
	if (vLoaded)
		{
			if (newSession == sessionNum) 
				{
					oldPage = pageNum;
					pageNum = newPage;
					if (sessionNum>0) jumpPage();
				}
			else 
				{
					sessionNum = newSession;
					pageNum = newPage;
					loadVideo();
				}
		}
	else setTimeout('inputChange2()',500);	
}

function jumpPage()
{
	if (window.win2) win2.document.write("* jumpPage<br />");

	pageTime = parseInt(timeIndex[sessionNum][pageNum][1]);

	if (vPlaying) 
		{
			toggleVideo(0);
			playFlag = 1;
		}	
				
	if (window.win2) win2.document.write("jumpPage: session=" + sessionNum + " pageNum=" + pageNum + " pageTime=" + pageTime + " playFlag=" + playFlag + " pageMax=" + pageMax + "<br />");
			
	setVideoTime();

	if (pageNum < (pageMax))
		{
			var nextPage = pageNum+1;
			nextPageTime = timeIndex[sessionNum][nextPage][1];
		}
	if (playFlag == 1)
		{
			playFlag = 0;
			toggleVideo(1);	
		}
	else writeTime();
	updateText();
}

function loadChapterIndex()
{
	if (window.win2) win2.document.write("* loadChapterIndex<br />");
	document.controls.chapterSelect.options.length = 0;
	var chaptStr = [];
	i = 1;
	
	document.controls.chapterSelect.options[0] = new Option("     -- Chapter Index --",0);
	var chaptMax = chapterList[sessionNum][0][0];
	
	for (i = 1; i <= chaptMax; i++)
		{
			var chaptText = chapterList[sessionNum][i][1];
			var chaptValue = chapterList[sessionNum][i][0];
			chaptStr[i] =  new Option(chaptText,chaptValue);
			document.controls.chapterSelect.options[i] = chaptStr[i];
		}	
}

function loadCheck()
{
	if (window.win2) win2.document.write("* loadCheck<br />Flags:  ref=" + refFlag + " list=" + listFlag + "<br />"); 
	if (window.searchWindow && !window.searchWindow.closed && searchWindow.textFrame.returnFlag) 
		{
			if (window.win2) win2.document.write("loadCheck Search sub<br />");
			callSession = searchWindow.textFrame.searchSession;
			callPage = searchWindow.textFrame.searchPage;
			searchWindow.textFrame.returnFlag = false;
			if (window.win2) win2.document.write ("callSession=" + callSession + " callPage=" + callPage + "<br />");
			inputChange(callSession,callPage);
		}
		
	if (refFlag)
		{
			if (window.win2) win2.document.write ("loadCheck Ref sub: refSession=" + callSession + " refPage=" + callPage + "<br />");
			refFlag = false;
			inputChange(callSession,callPage);
		}
	if (listFlag)
		{
			if (window.win2) win2.document.write ("loadCheck List sub: callListr=" + callList + "<br />");
			openListWin();
		}
}

function loadVideo()
{
	if (window.win2) win2.document.write("* loadVideo<br />loadVideo input:" + sessionNum + "," + pageNum + "<br />")

	playFlag = 1;
	disableContr(); 
	toggleVideo(0);
	document.controls.vTime.value = "";

	var tagTable = textBoxDoc.getElementsByTagName("tr");
	if (tagTable != null) for (i = 0; i < tagTable.length; i++) tagTable[i].style.display = "none";	

	for (i = 0; i <= sessionMax; i++)
		{
			TsessionStr = "Tsession" + i;
			textBoxDoc.getElementById(TsessionStr).style.display = "none";
		}
	TsessionStr = "Tsession" + sessionNum;
	if (window.win2) win2.document.write ("TsessionStr = " + TsessionStr + "<br />"); 
	textBoxDoc.getElementById(TsessionStr).style.display = "block";
	document.controls.sessionSelect.value = sessionNum;
    pageMax = (sessionIndex[sessionNum][2]);
	loadChapterIndex();
	updateText();
	if ( window.searchWindow && !window.searchWindow.closed && searchWindow.searchState == 0)	searchWindow.findSession();
	setNewVideo();
}

function pageBack()
{
	if (window.win2) win2.document.write("* pageBack<br />");
	if (pageNum>0)
		{
			oldSession = sessionNum;
			oldPage = pageNum;
			pageNum--; 
	  		jumpPage();
		}
}

function pageForward() 
{
	if (window.win2) win2.document.write("* pageForward<br />");
	chapterMax = (sessionIndex[sessionNum][2]);
	if (pageNum<pageMax)
		{
			oldSession = sessionNum;
			oldPage = pageNum;
			pageNum++;
	  		jumpPage();
		}
}

function updateText()
{
	var oldID = sessionNum + ',' + oldPage;
	var newID = sessionNum + ',' + pageNum;
	if (window.win2) win2.document.write ("* updateText: old = " + oldID + "; new = " + newID + "<br />"); 
	textBoxDoc.getElementById(oldID).style.display = "none";
	textBoxDoc.getElementById(newID).style.display = "block";
	document.controls.pageNo.value = newID;
}

